100 '******************************************************************'
110 '*                          I N T B S P B                         *'
120 '*----------------------------------------------------------------*'
130 '*  Aufgabe        : gibt als Beispiel eines Interrupt-Aufrufs    *'
140 '*                   einen String ber eine Funktion des DOS auf  *'
150 '*                   dem Bildschirm aus                           *'
160 '*  Autor          : MICHAEL TISCHER                              *'
170 '*  entwickelt am  : 30.7.87                                      *'
180 '*  letztes Update : 21.9.87                                      *'
190 '******************************************************************'
200 '
210 CLS : KEY OFF
220 PRINT"ACHTUNG: Dieses Programm darf nur gestartet werden, wenn das GWBASIC von"
230 PRINT"der DOS-Ebene aus ber den Befehl <GWBASIC  /m60000> gestartet wurde."
240 PRINT : PRINT"Ist dies nicht der Fall, dann geben Sie jetzt bitte <s> fr Stop ein."
250 PRINT"Ansonsten bettigen Sie bitte eine beliebige Taste...";
260 A$ = INKEY$ : IF A$ = "s" THEN END
270 IF A$ = "" THEN 260
280 PRINT
290 GOSUB 60000              'Funktion zum Interrupt-Aufruf installieren
300 T$ = CHR$(13)+CHR$(10)+"dieser Text wurde ber die Funktion 9 des Interrupt 21(h) ausgegeben...$"
310 INR% = &H21                     'Nummer des aufzurufenden Interrupts
320 FKT% = 9                          'Nummer der aufzurufenden Funktion
330 OFSLO% = PEEK(VARPTR(T$)+1)     'LO-Byte der Offsetadrsse des String
340 OFSHI% = PEEK(VARPTR(T$)+2)     'HI-Byte der Offsetadrsse des String
350 CALL IA(INR%,FKT%,Z%,Z%,Z%,Z%,Z%,OFSHI%,OFSLO%,Z%,Z%,Z%,Z%)
360 PRINT : PRINT : PRINT                      'drei Leerzeilen ausgeben
370 END
380 '
60000 '****************************************************************'
60010 '* die Routine zum Interrupt-Aufruf initialisieren              *'
60020 '*--------------------------------------------------------------*'
60030 '* Eingabe: keine                                               *'
60040 '* Ausgabe: IA ist die Startadresse der Interrupt-Routine       *'
60050 '****************************************************************'
60060 '
60070 IA=60000!               'Startadresse der Routine im BASIC-Segment
60080 DEF SEG                                      'BASIC-Segment setzen
60090 RESTORE 60130
60100 FOR I% = 0 TO 160 : READ X% : POKE IA+I%,X% : NEXT  'Routine poken
60110 RETURN                                        'zurck zum Aufrufer
60120 '
60130 DATA  85,139,236, 30,  6,139,118, 30,139,  4,232,140,  0,139,118
60140 DATA  12,139, 60,139,118,  8,139,  4, 61,255,255,117,  2,140,216
60150 DATA 142,192,139,118, 28,138, 36,139,118, 26,138,  4,139,118, 24
60160 DATA 138, 60,139,118, 22,138, 28,139,118, 20,138, 44,139,118, 18
60170 DATA 138, 12,139,118, 16,138, 52,139,118, 14,138, 20,139,118, 10
60180 DATA 139, 52, 85,205, 33, 93, 86,156,139,118, 12,137, 60,139,118
60190 DATA  28,136, 36,139,118, 26,136,  4,139,118, 24,136, 60,139,118
60200 DATA  22,136, 28,139,118, 20,136, 44,139,118, 18,136, 12,139,118
60210 DATA  16,136, 52,139,118, 14,136, 20,139,118,  8,140,192,137,  4
60220 DATA  88,139,118,  6,137,  4, 88,139,118, 10,137,  4,  7, 31, 93
60230 DATA 202, 26,  0, 91, 46,136, 71, 66,233,108,255
